Substy Developers
Inbox and fans

Get fan media history status

Read the stored chat media labeling state for a creator and fan. Poll while the history scan queued by list_vault_media runs. Reports not_synced, labeling, complete, incomplete, failed, or unsupported; this read does not start a scan.

GET/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}/media-history/status

Read the stored chat media labeling state for a creator and fan. Poll while the history scan queued by list_vault_media runs. Reports not_synced, labeling, complete, incomplete, failed, or unsupported; this read does not start a scan.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
Length1 <= length
fanId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/fans/string/media-history/status" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "status": "failed",    "syncedAt": null  },  "meta": {    "requestId": "string"  }}